Name:          opendap
Version:       2.2
Release:       %mkrel 2
Summary:       Project for a Network Data Access Protocol 
Group:         Development/Java
License:       LGPL
Url:           http://www.opendap.org/
# svn export http://scm.opendap.org:8090/svn/trunk/Java-OPeNDAP/ opendap-2.2
# tar czf opendap-2.2-src-svn.tar.gz opendap-2.2
Source0:       opendap-2.2-src-svn.tar.gz

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: ant
BuildRequires: apache-commons-codec
BuildRequires: apache-commons-logging
BuildRequires: apache-mime4j
BuildRequires: gnu-getopt
BuildRequires: gnu-regexp
BuildRequires: httpcomponents-client
BuildRequires: httpcomponents-core
BuildRequires: jakarta-commons-httpclient
BuildRequires: jdom
BuildRequires: junit4
BuildRequires: servletapi5
BuildRequires: xerces-j2
BuildRequires: xml-commons-apis

Requires:      jakarta-commons-httpclient
Requires:      jdom
Requires:      junit4
Requires:      servletapi5

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
OPeNDAP is a framework that simplifies all aspects of
scientific data networking.
OPeNDAP provides software which makes local data accessible
to remote locations regardless of local storage format.
OPeNDAP also provides tools for transforming existing
applications into OPeNDAP clients (i.e., enabling them to
remotely access OPeNDAP served data). 

%package javadoc
Summary:       API documentation for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description javadoc
This package contains Maven plugin for %{name}

%prep
%setup -q -n opendap-%{version}

for j in $(find . -name "*.jar"); do
   mv $j $j.no
done

pushd lib
  ln -sf $(build-classpath apache-mime4j) apache-mime4j-0.6.jar
  ln -sf $(build-classpath commons-codec) commons-codec-1.3.jar
  ln -sf $(build-classpath commons-httpclient) commons-httpclient-3.1.jar
  ln -sf $(build-classpath commons-logging) commons-logging-1.1.jar
  ln -sf $(build-classpath gnu-getopt) gnu-getopt-1.0.6.jar
  ln -sf $(build-classpath gnu-regexp) gnu-regexp-1.1.4.jar
  ln -sf $(build-classpath httpcomponents/httpclient) httpclient-4.1.jar
  ln -sf $(build-classpath httpcomponents/httpmime) httpmime-4.1.jar
  ln -sf $(build-classpath httpcomponents/httpcore) httpcore-4.1.jar
  ln -sf $(build-classpath jdom) jdom-1.0.jar
  ln -sf $(build-classpath junit4) junit-4.4.jar
  ln -sf $(build-classpath servletapi5) tomcat-5.5.20_servlet-api.jar
  ln -sf $(build-classpath xerces-j2) xercesImpl-2.9.0.jar
  ln -sf $(build-classpath xml-commons-apis) xml-apis-2.9.0.jar
# mv lib/sljc.jar.no lib/sljc.jar
popd

%build

ant -Dbuild.sysclasspath=first distribution

%install

mkdir -p %{buildroot}%{_javadir}

install -m 644 build/lib/%{name}-%{version}.jar \
  %{buildroot}%{_javadir}/%{name}-%{version}.jar

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}.jar; do
    ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`
  done
)

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr build/doc/javadoc/* %{buildroot}%{_javadocdir}/%{name}
rm -rf build/doc/javadoc

%files
%{_javadir}/%{name}-%{version}.jar
%{_javadir}/%{name}.jar
%doc COPYRIGHT Changelog README build/doc/*

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 2.2-2.mga3
+ Revision: 361966
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 11 2011 gil <gil> 2.2-1.mga2
+ Revision: 166618
- imported package opendap

